Subject: Time of day restrictions.

From: "Howard Moneta" <[email-masked]>
Date: Sun, 24 Jan 1999 12:07:57 -0700

Here is a section of my /etc/ftpaccess file that pertains to what times of
day the guest user dnload1 can log into my FTP.  I had it configured like
below and it was working properly until I upgraded to the VR12 version of
wu-ftpd.   Has the syntax for specifying the times of day a limit pertains
to changed?  Even though I have it set to not allow any guest class users to
log in between 0600-1800, it still is allowing them to connect.  It appears
to be ignoring the time specification after the Any.  Any ideas what might
have changed between when I was running Wu-ftpd Beta 18 and upgrading the
VR12?

loginfails 2
class   guest   guest  *
class   local   real  *
hostname Genma's FTP
guestuser dnload1

limit guest 3 Any1800-0600                /etc/msgs/msg.toomany
limit guest 0 Any0600-1800                /etc/msgs/msg.serverdown
limit local 1 Any
limit-time guest 120

Thanks!

Howard
[email-masked]

---

From: Gregory A Lundberg <[email-masked]>
Date: Sun, 24 Jan 1999 14:25:13 -0500 (EST)

On Sun, 24 Jan 1999, Howard Moneta wrote:

> Here is a section of my /etc/ftpaccess file that pertains to what
> times of day the guest user dnload1 can log into my FTP.  I had it
> configured like below and it was working properly until I upgraded to
> the VR12 version of wu-ftpd.  Has the syntax for specifying the times
> of day a limit pertains to changed?  Even though I have it set to not
> allow any guest class users to log in between 0600-1800, it still is
> allowing them to connect.  It appears to be ignoring the time
> specification after the Any.  Any ideas what might have changed
> between when I was running Wu-ftpd Beta 18 and upgrading the VR12?
> 
> loginfails 2
> class   guest   guest  *
> class   local   real  *
> hostname Genma's FTP
> guestuser dnload1
> 

No specific changes for this, but you might try moving the guest 0 line
above the guest 3.

-- 

Gregory A Lundberg		Senior Partner, VRnet Company
1441 Elmdale Drive              [email-masked]
Kettering, OH 45409-1615 USA    1-800-809-2195